[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator *(Tmatrix3_extended, Tvector3_extended): Tvector3_extended

Give product of a three-dimendional extended precision matrix and vector

## Declaration

Source position: matrix.pp line 577

`operator operator *(Tmatrix3_extended, Tvector3_extended): Tvector3_extended(`
`const m: Tmatrix3_extended;`
`const v: Tvector3_extended`
`):Tvector3_extended;`

## Description

This operator allows you to multipy a three-dimensional extended precision matrices with a three dimensional extended precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.

Documentation generated on: Feb 26 2014